<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <style>
        #parent {
            background: gray;
            color: white;
            width: 300px;
            height: 100px;
            margin: 20px;
            padding-left: 40px;
            position: relative;
        }
        #block1{
            background: white;
            color:black;
            width: 100px;
            height: 20px;
            position: absolute;
            padding: 5px;
            margin-top: 5px;
        }
        #target{
            background: gray;
            color: white;
            width: 300px;
            height: 100px;
            padding-left: 40px;
            margin: 20px;
        }

    </style>

</head>

<body>


<div id="parent">parent

    <div id="block1">block div</div>

</div>

<div id="target">target</div>

<button onclick="myFunction()" style="margin: 20px">Try move block</button>

<script>
    function myFunction() {

        var parentBlock = document.getElementById("parent");

        var childBlock = document.getElementById("block1");

        var targetBlock = document.getElementById("target");

        targetBlock.appendChild(childBlock);
        parentBlock.removeChild(childBlock);
    }

</script>


</body>
</html>